%define pkg_name        Best
%define pkg_version     0.11
%define rpm_pkg_version 0.11
%define rpm_pkg_release 1.n0i.1

Summary:       Fallback-able module loader
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       MIT
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Best/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)


%description
Often there are several possible providers of some functionality your program
needs, but you don't know which is available at the run site. For example,
one of the modules may be implemented with XS, or not in the core Perl
distribution and thus not necessarily installed.
Best attempts to load modules from a list, stopping at the first successful
load and failing only if no alternative was found.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sun Sep 16 2007 Marius Feraru <altblue@n0i.net> - 0.11-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.11
